Subject: Re: Faster guix search using an sqlite cache

From: Arun Isaac <[email-masked]>
Date: Tue, 08 Apr 2025 13:12:44 +0100

Hi Shreyansh,

Sorry, I didn't realize the deadline was so close by. Here's my quick
take.

I think the xapian search as an extension idea, that I mentioned
recently on this thread, has potential. I'm not so sure about the sqlite
based search. IIRC from long ago when I investigated this, xapian search
was much more featureful than sqlite search.

Considering the deadline is today, I don't know how we'd apply in time.
But, I have no experience with the GSoC process. So, maybe Ludo or
others can comment.

Regards,
Arun